Comments
Comments aid conversation and collaboration around workspace datasets. Comments can be made on datasets, or other comments to form threads.
Objects
Comment
| Path | JSON Type | Format | Description |
|---|---|---|---|
id | string | Version 4 UUID | The comment ID |
message | string | The comment message | |
likeCount | number | Unsigned integer | The number of likes the comment has received |
likedByProfiles | object[] | Array of Members | The workspace members that have liked the comment |
created | string | ISO 8601 timestamp | Timestamp denoting when the comment was created |
lastModified | string | ISO 8601 timestamp | Timestamp denoting when the comment was last modified |
from | object | Member | The comment author |
commentCount | number | Unsigned integer | The number of replies the comment has received |
datasetId | string | Version 4 UUID | The ID of the dataset comment subject |
parentId | string | Version 4 UUID | The ID of the parent comment |
{
"id" : "4c727e2b-7cce-4fce-b5d1-5c63e97e6ef6",
"message" : "SIT-generated reply Pesho [2026-11-09T22:25:17.567895695] to ",
"likeCount" : 0,
"likedByProfiles" : [ ],
"created" : "2026-11-09T22:25:17.624145",
"lastModified" : "2026-11-09T22:25:17.624146",
"from" : {
"id" : "auth0|6a21dc7aa1db2e036a222942",
"name" : "sit+prod@meltano.com",
"handle" : "@sit+prod"
},
"commentCount" : 0,
"datasetId" : "1d9a1fce-92fa-43ec-917a-351f887d93d1",
"_links" : {
"edit-history" : {
"href" : "https://app.meltano.com/api/comments/4c727e2b-7cce-4fce-b5d1-5c63e97e6ef6/history",
"type" : "GET"
},
"update comment" : {
"href" : "https://app.meltano.com/api/datasets/1d9a1fce-92fa-43ec-917a-351f887d93d1/comments/4c727e2b-7cce-4fce-b5d1-5c63e97e6ef6",
"type" : "PUT"
},
"delete comment" : {
"href" : "https://app.meltano.com/api/comments/4c727e2b-7cce-4fce-b5d1-5c63e97e6ef6",
"type" : "DELETE"
},
"self" : {
"href" : "https://app.meltano.com/api/comments/4c727e2b-7cce-4fce-b5d1-5c63e97e6ef6"
},
"add like" : {
"href" : "https://app.meltano.com/api/comments/4c727e2b-7cce-4fce-b5d1-5c63e97e6ef6/like",
"type" : "PUT"
},
"new reply" : {
"href" : "https://app.meltano.com/api/comments/4c727e2b-7cce-4fce-b5d1-5c63e97e6ef6",
"type" : "POST"
}
}
}
Requests
View all comments on a dataset
GET /api/datasets/{dataset-id}/comments
Returns all comments on the dataset {dataset-id}.
Prerequisites
- Dataset
{dataset-id}must exist
Examples
- cURL
- Python (requests)
curl -H "Authorization: Bearer $ACCESS_TOKEN" 'https://app.meltano.com:443/api/datasets/1d9a1fce-92fa-43ec-917a-351f887d93d1/comments' -i -X GET
import requests
url = "https://app.meltano.com:443/api/datasets/1d9a1fce-92fa-43ec-917a-351f887d93d1/comments"
headers = {
'Authorization': ACCESS_TOKEN
}
response = requests.request("GET", url, headers=headers)
print(response.text.encode('utf8'))
Response
200 OK
Comment collection with HAL links.
{
"_embedded" : {
"datasetComments" : [ {
"id" : "7c8bbbd7-227c-4a34-bed8-64dc42db57ef",
"message" : "SIT-generated reply Pesho [2026-11-09T22:25:16.474985429] to ",
"likeCount" : 0,
"likedByProfiles" : [ ],
"created" : "2026-11-09T22:25:16.535688",
"lastModified" : "2026-11-09T22:25:16.535689",
"from" : {
"id" : "auth0|6a21dc7aa1db2e036a222942",
"name" : "sit+prod@meltano.com",
"handle" : "@sit+prod"
},
"commentCount" : 0,
"datasetId" : "1d9a1fce-92fa-43ec-917a-351f887d93d1",
"_links" : {
"edit-history" : {
"href" : "https://app.meltano.com/api/comments/7c8bbbd7-227c-4a34-bed8-64dc42db57ef/history",
"type" : "GET"
},
"update comment" : {
"href" : "https://app.meltano.com/api/datasets/1d9a1fce-92fa-43ec-917a-351f887d93d1/comments/7c8bbbd7-227c-4a34-bed8-64dc42db57ef",
"type" : "PUT"
},
"delete comment" : {
"href" : "https://app.meltano.com/api/comments/7c8bbbd7-227c-4a34-bed8-64dc42db57ef",
"type" : "DELETE"
},
"self" : {
"href" : "https://app.meltano.com/api/comments/7c8bbbd7-227c-4a34-bed8-64dc42db57ef"
},
"add like" : {
"href" : "https://app.meltano.com/api/comments/7c8bbbd7-227c-4a34-bed8-64dc42db57ef/like",
"type" : "PUT"
},
"new reply" : {
"href" : "https://app.meltano.com/api/comments/7c8bbbd7-227c-4a34-bed8-64dc42db57ef",
"type" : "POST"
}
}
}, {
"id" : "ac50bbb3-00b8-41aa-b964-4a77fc8b24f6",
"message" : "SIT-generated reply Pesho [2026-11-09T22:25:16.334015661] to ",
"likeCount" : 0,
"likedByProfiles" : [ ],
"created" : "2026-11-09T22:25:16.382697",
"lastModified" : "2026-11-09T22:25:16.382698",
"from" : {
"id" : "auth0|6a21dc7aa1db2e036a222942",
"name" : "sit+prod@meltano.com",
"handle" : "@sit+prod"
},
"commentCount" : 0,
"datasetId" : "1d9a1fce-92fa-43ec-917a-351f887d93d1",
"_links" : {
"edit-history" : {
"href" : "https://app.meltano.com/api/comments/ac50bbb3-00b8-41aa-b964-4a77fc8b24f6/history",
"type" : "GET"
},
"update comment" : {
"href" : "https://app.meltano.com/api/datasets/1d9a1fce-92fa-43ec-917a-351f887d93d1/comments/ac50bbb3-00b8-41aa-b964-4a77fc8b24f6",
"type" : "PUT"
},
"delete comment" : {
"href" : "https://app.meltano.com/api/comments/ac50bbb3-00b8-41aa-b964-4a77fc8b24f6",
"type" : "DELETE"
},
"self" : {
"href" : "https://app.meltano.com/api/comments/ac50bbb3-00b8-41aa-b964-4a77fc8b24f6"
},
"add like" : {
"href" : "https://app.meltano.com/api/comments/ac50bbb3-00b8-41aa-b964-4a77fc8b24f6/like",
"type" : "PUT"
},
"new reply" : {
"href" : "https://app.meltano.com/api/comments/ac50bbb3-00b8-41aa-b964-4a77fc8b24f6",
"type" : "POST"
}
}
}, {
"id" : "ecd8bb99-5cd9-44f3-8f9b-66fc36bb3eae",
"message" : "SIT-generated reply Pesho [2026-11-09T22:25:16.183972113] to ",
"likeCount" : 0,
"likedByProfiles" : [ ],
"created" : "2026-11-09T22:25:16.242123",
"lastModified" : "2026-11-09T22:25:16.242124",
"from" : {
"id" : "auth0|6a21dc7aa1db2e036a222942",
"name" : "sit+prod@meltano.com",
"handle" : "@sit+prod"
},
"commentCount" : 0,
"datasetId" : "1d9a1fce-92fa-43ec-917a-351f887d93d1",
"_links" : {
"edit-history" : {
"href" : "https://app.meltano.com/api/comments/ecd8bb99-5cd9-44f3-8f9b-66fc36bb3eae/history",
"type" : "GET"
},
"update comment" : {
"href" : "https://app.meltano.com/api/datasets/1d9a1fce-92fa-43ec-917a-351f887d93d1/comments/ecd8bb99-5cd9-44f3-8f9b-66fc36bb3eae",
"type" : "PUT"
},
"delete comment" : {
"href" : "https://app.meltano.com/api/comments/ecd8bb99-5cd9-44f3-8f9b-66fc36bb3eae",
"type" : "DELETE"
},
"self" : {
"href" : "https://app.meltano.com/api/comments/ecd8bb99-5cd9-44f3-8f9b-66fc36bb3eae"
},
"add like" : {
"href" : "https://app.meltano.com/api/comments/ecd8bb99-5cd9-44f3-8f9b-66fc36bb3eae/like",
"type" : "PUT"
},
"new reply" : {
"href" : "https://app.meltano.com/api/comments/ecd8bb99-5cd9-44f3-8f9b-66fc36bb3eae",
"type" : "POST"
}
}
}, {
"id" : "27c21660-2af3-4aa1-96b8-068480889fe1",
"message" : "SIT-generated reply Pesho [2026-11-09T22:25:14.562944086] to ",
"likeCount" : 0,
"likedByProfiles" : [ ],
"created" : "2026-11-09T22:25:14.615582",
"lastModified" : "2026-11-09T22:25:14.615582",
"from" : {
"id" : "auth0|6a21dc7aa1db2e036a222942",
"name" : "sit+prod@meltano.com",
"handle" : "@sit+prod"
},
"commentCount" : 3,
"datasetId" : "1d9a1fce-92fa-43ec-917a-351f887d93d1",
"_links" : {
"comments" : {
"href" : "https://app.meltano.com/api/datasets/1d9a1fce-92fa-43ec-917a-351f887d93d1/comments?parentId=27c21660-2af3-4aa1-96b8-068480889fe1",
"type" : "GET"
},
"update comment" : {
"href" : "https://app.meltano.com/api/datasets/1d9a1fce-92fa-43ec-917a-351f887d93d1/comments/27c21660-2af3-4aa1-96b8-068480889fe1",
"type" : "PUT"
},
"delete comment" : {
"href" : "https://app.meltano.com/api/comments/27c21660-2af3-4aa1-96b8-068480889fe1",
"type" : "DELETE"
},
"self" : {
"href" : "https://app.meltano.com/api/comments/27c21660-2af3-4aa1-96b8-068480889fe1"
},
"add like" : {
"href" : "https://app.meltano.com/api/comments/27c21660-2af3-4aa1-96b8-068480889fe1/like",
"type" : "PUT"
},
"new reply" : {
"href" : "https://app.meltano.com/api/comments/27c21660-2af3-4aa1-96b8-068480889fe1",
"type" : "POST"
}
}
} ]
},
"_links" : {
"self" : {
"href" : "https://app.meltano.com/api/datasets/1d9a1fce-92fa-43ec-917a-351f887d93d1/comments?page=0&size=20"
}
},
"page" : {
"size" : 20,
"totalElements" : 4,
"totalPages" : 1,
"number" : 0
}
}
View a comment
GET /api/comments/{comment-id}
Returns the comment {comment-id}.
Prerequisites
- Comment
{comment-id}must exist
Examples
- cURL
- Python (requests)
curl -H "Authorization: Bearer $ACCESS_TOKEN" 'https://app.meltano.com:443/api/comments/4c727e2b-7cce-4fce-b5d1-5c63e97e6ef6' -i -X GET
import requests
url = "https://app.meltano.com:443/api/comments/4c727e2b-7cce-4fce-b5d1-5c63e97e6ef6"
headers = {
'Authorization': ACCESS_TOKEN
}
response = requests.request("GET", url, headers=headers)
print(response.text.encode('utf8'))
Response
200 OK
Comment with HAL links.
{
"id" : "4c727e2b-7cce-4fce-b5d1-5c63e97e6ef6",
"message" : "SIT-generated reply Pesho [2026-11-09T22:25:17.567895695] to ",
"likeCount" : 0,
"likedByProfiles" : [ ],
"created" : "2026-11-09T22:25:17.624145",
"lastModified" : "2026-11-09T22:25:17.624146",
"from" : {
"id" : "auth0|6a21dc7aa1db2e036a222942",
"name" : "sit+prod@meltano.com",
"handle" : "@sit+prod"
},
"commentCount" : 0,
"datasetId" : "1d9a1fce-92fa-43ec-917a-351f887d93d1",
"_links" : {
"edit-history" : {
"href" : "https://app.meltano.com/api/comments/4c727e2b-7cce-4fce-b5d1-5c63e97e6ef6/history",
"type" : "GET"
},
"update comment" : {
"href" : "https://app.meltano.com/api/datasets/1d9a1fce-92fa-43ec-917a-351f887d93d1/comments/4c727e2b-7cce-4fce-b5d1-5c63e97e6ef6",
"type" : "PUT"
},
"delete comment" : {
"href" : "https://app.meltano.com/api/comments/4c727e2b-7cce-4fce-b5d1-5c63e97e6ef6",
"type" : "DELETE"
},
"self" : {
"href" : "https://app.meltano.com/api/comments/4c727e2b-7cce-4fce-b5d1-5c63e97e6ef6"
},
"add like" : {
"href" : "https://app.meltano.com/api/comments/4c727e2b-7cce-4fce-b5d1-5c63e97e6ef6/like",
"type" : "PUT"
},
"new reply" : {
"href" : "https://app.meltano.com/api/comments/4c727e2b-7cce-4fce-b5d1-5c63e97e6ef6",
"type" : "POST"
}
}
}
View the edit history of a comment
GET /api/comments/{comment-id}/history
Returns the edit history of the comment {comment-id}.
Prerequisites
- Comment
{comment-id}must exist
Examples
- cURL
- Python (requests)
curl -H "Authorization: Bearer $ACCESS_TOKEN" 'https://app.meltano.com:443/api/comments/4c727e2b-7cce-4fce-b5d1-5c63e97e6ef6/history' -i -X GET
import requests
url = "https://app.meltano.com:443/api/comments/4c727e2b-7cce-4fce-b5d1-5c63e97e6ef6/history"
headers = {
'Authorization': ACCESS_TOKEN
}
response = requests.request("GET", url, headers=headers)
print(response.text.encode('utf8'))
Response
200 OK
[ {
"lastModified" : "2026-11-09T22:25:17.637",
"message" : "SIT-generated reply Pesho [2026-11-09T22:25:17.567895695] to ",
"editVersion" : "2187999"
}, {
"lastModified" : "2026-11-09T22:25:17.829",
"message" : "SIT-generated reply Pesho [2026-11-09T22:25:17.760355188] to ",
"editVersion" : "2188000"
} ]
View all replies to a comment
GET /api/comments/{comment-id}
Returns all replies to the comment {comment-id}.
Prerequisites
- Comment
{comment-id}must exist
Examples
- cURL
- Python (requests)
curl -H "Authorization: Bearer $ACCESS_TOKEN" 'https://app.meltano.com:443/api/datasets/1d9a1fce-92fa-43ec-917a-351f887d93d1/comments?parentId=27c21660-2af3-4aa1-96b8-068480889fe1' -i -X GET
import requests
url = "https://app.meltano.com:443/api/datasets/1d9a1fce-92fa-43ec-917a-351f887d93d1/comments?parentId=27c21660-2af3-4aa1-96b8-068480889fe1"
headers = {
'Authorization': ACCESS_TOKEN
}
response = requests.request("GET", url, headers=headers)
print(response.text.encode('utf8'))
Response
200 OK
Comment with HAL links.
{
"_embedded" : {
"datasetComments" : [ {
"id" : "637e0a4e-829b-4a53-859a-71b87fbb5eae",
"message" : "SIT-generated reply Pesho [2026-11-09T22:25:15.445085328] to ",
"likeCount" : 0,
"likedByProfiles" : [ ],
"created" : "2026-11-09T22:25:15.501606",
"lastModified" : "2026-11-09T22:25:15.501606",
"from" : {
"id" : "auth0|6a21dc7aa1db2e036a222942",
"name" : "sit+prod@meltano.com",
"handle" : "@sit+prod"
},
"commentCount" : 0,
"datasetId" : "1d9a1fce-92fa-43ec-917a-351f887d93d1",
"parentId" : "27c21660-2af3-4aa1-96b8-068480889fe1",
"_links" : {
"update comment" : {
"href" : "https://app.meltano.com/api/datasets/1d9a1fce-92fa-43ec-917a-351f887d93d1/comments/637e0a4e-829b-4a53-859a-71b87fbb5eae",
"type" : "PUT"
},
"delete comment" : {
"href" : "https://app.meltano.com/api/comments/637e0a4e-829b-4a53-859a-71b87fbb5eae",
"type" : "DELETE"
},
"self" : {
"href" : "https://app.meltano.com/api/comments/637e0a4e-829b-4a53-859a-71b87fbb5eae"
},
"add like" : {
"href" : "https://app.meltano.com/api/comments/637e0a4e-829b-4a53-859a-71b87fbb5eae/like",
"type" : "PUT"
},
"new reply" : {
"href" : "https://app.meltano.com/api/comments/637e0a4e-829b-4a53-859a-71b87fbb5eae",
"type" : "POST"
}
}
}, {
"id" : "5c3c3d26-791b-4277-a856-1b624d5ec96e",
"message" : "SIT-generated reply Pesho [2026-11-09T22:25:15.285489327] to ",
"likeCount" : 0,
"likedByProfiles" : [ ],
"created" : "2026-11-09T22:25:15.347369",
"lastModified" : "2026-11-09T22:25:15.34737",
"from" : {
"id" : "auth0|6a21dc7aa1db2e036a222942",
"name" : "sit+prod@meltano.com",
"handle" : "@sit+prod"
},
"commentCount" : 0,
"datasetId" : "1d9a1fce-92fa-43ec-917a-351f887d93d1",
"parentId" : "27c21660-2af3-4aa1-96b8-068480889fe1",
"_links" : {
"edit-history" : {
"href" : "https://app.meltano.com/api/comments/5c3c3d26-791b-4277-a856-1b624d5ec96e/history",
"type" : "GET"
},
"update comment" : {
"href" : "https://app.meltano.com/api/datasets/1d9a1fce-92fa-43ec-917a-351f887d93d1/comments/5c3c3d26-791b-4277-a856-1b624d5ec96e",
"type" : "PUT"
},
"delete comment" : {
"href" : "https://app.meltano.com/api/comments/5c3c3d26-791b-4277-a856-1b624d5ec96e",
"type" : "DELETE"
},
"self" : {
"href" : "https://app.meltano.com/api/comments/5c3c3d26-791b-4277-a856-1b624d5ec96e"
},
"add like" : {
"href" : "https://app.meltano.com/api/comments/5c3c3d26-791b-4277-a856-1b624d5ec96e/like",
"type" : "PUT"
},
"new reply" : {
"href" : "https://app.meltano.com/api/comments/5c3c3d26-791b-4277-a856-1b624d5ec96e",
"type" : "POST"
}
}
}, {
"id" : "d51abfc9-a70d-4b8b-b574-971979dc957e",
"message" : "SIT-generated reply Pesho [2026-11-09T22:25:15.138044982] to ",
"likeCount" : 0,
"likedByProfiles" : [ ],
"created" : "2026-11-09T22:25:15.18925",
"lastModified" : "2026-11-09T22:25:15.189251",
"from" : {
"id" : "auth0|6a21dc7aa1db2e036a222942",
"name" : "sit+prod@meltano.com",
"handle" : "@sit+prod"
},
"commentCount" : 0,
"datasetId" : "1d9a1fce-92fa-43ec-917a-351f887d93d1",
"parentId" : "27c21660-2af3-4aa1-96b8-068480889fe1",
"_links" : {
"edit-history" : {
"href" : "https://app.meltano.com/api/comments/d51abfc9-a70d-4b8b-b574-971979dc957e/history",
"type" : "GET"
},
"update comment" : {
"href" : "https://app.meltano.com/api/datasets/1d9a1fce-92fa-43ec-917a-351f887d93d1/comments/d51abfc9-a70d-4b8b-b574-971979dc957e",
"type" : "PUT"
},
"delete comment" : {
"href" : "https://app.meltano.com/api/comments/d51abfc9-a70d-4b8b-b574-971979dc957e",
"type" : "DELETE"
},
"self" : {
"href" : "https://app.meltano.com/api/comments/d51abfc9-a70d-4b8b-b574-971979dc957e"
},
"add like" : {
"href" : "https://app.meltano.com/api/comments/d51abfc9-a70d-4b8b-b574-971979dc957e/like",
"type" : "PUT"
},
"new reply" : {
"href" : "https://app.meltano.com/api/comments/d51abfc9-a70d-4b8b-b574-971979dc957e",
"type" : "POST"
}
}
} ]
},
"_links" : {
"self" : {
"href" : "https://app.meltano.com/api/datasets/1d9a1fce-92fa-43ec-917a-351f887d93d1/comments?parentId=27c21660-2af3-4aa1-96b8-068480889fe1&page=0&size=20"
}
},
"page" : {
"size" : 20,
"totalElements" : 3,
"totalPages" : 1,
"number" : 0
}
}
Initialise a comment on a dataset
POST /api/datasets/{dataset-id}/comments
Initialises a new comment on the dataset {dataset-id}.
Prerequisites
- Dataset
{dataset-id}must exist
Examples
- cURL
- Python (requests)
curl -H "Authorization: Bearer $ACCESS_TOKEN" 'https://app.meltano.com:443/api/datasets/1d9a1fce-92fa-43ec-917a-351f887d93d1/comments' -i -X POST \
-H 'Content-Type: application/json'
import requests
url = "https://app.meltano.com:443/api/datasets/1d9a1fce-92fa-43ec-917a-351f887d93d1/comments"
headers = {
'Authorization': ACCESS_TOKEN
}
response = requests.request("POST", url, headers=headers)
print(response.text.encode('utf8'))
Response
200 OK
Comment with HAL links.
{
"id" : "7ea38643-8f54-41e8-a370-86d550022f56",
"likeCount" : 0,
"likedByProfiles" : [ ],
"created" : "2026-11-09T22:25:17.341069373",
"lastModified" : "2026-11-09T22:25:17.34107067",
"from" : {
"id" : "auth0|6a21dc7aa1db2e036a222942",
"name" : "sit+prod@meltano.com",
"handle" : "@sit+prod"
},
"commentCount" : 0,
"datasetId" : "1d9a1fce-92fa-43ec-917a-351f887d93d1",
"_links" : {
"create comment" : {
"href" : "https://app.meltano.com/api/datasets/1d9a1fce-92fa-43ec-917a-351f887d93d1/comments/7ea38643-8f54-41e8-a370-86d550022f56",
"type" : "PUT"
}
}
}
Initialise a reply to a comment
POST /api/comments/{comment-id}
Initialises a new reply comment to the comment {comment-id}.
Prerequisites
- Comment
{comment-id}must exist
Examples
- cURL
- Python (requests)
curl -H "Authorization: Bearer $ACCESS_TOKEN" 'https://app.meltano.com:443/api/comments/27c21660-2af3-4aa1-96b8-068480889fe1' -i -X POST \
-H 'Content-Type: application/json'
import requests
url = "https://app.meltano.com:443/api/comments/27c21660-2af3-4aa1-96b8-068480889fe1"
headers = {
'Authorization': ACCESS_TOKEN
}
response = requests.request("POST", url, headers=headers)
print(response.text.encode('utf8'))
Response
200 OK
Comment with HAL links.
{
"id" : "1febdaa2-55f0-4832-a02b-6e40196cf02b",
"likeCount" : 0,
"likedByProfiles" : [ ],
"created" : "2026-11-09T22:25:16.909779436",
"lastModified" : "2026-11-09T22:25:16.909780618",
"from" : {
"id" : "auth0|6a21dc7aa1db2e036a222942",
"name" : "sit+prod@meltano.com",
"handle" : "@sit+prod"
},
"commentCount" : 0,
"datasetId" : "1d9a1fce-92fa-43ec-917a-351f887d93d1",
"parentId" : "27c21660-2af3-4aa1-96b8-068480889fe1",
"_links" : {
"create comment" : {
"href" : "https://app.meltano.com/api/datasets/1d9a1fce-92fa-43ec-917a-351f887d93d1/comments/1febdaa2-55f0-4832-a02b-6e40196cf02b",
"type" : "PUT"
}
}
}
Create a comment
PUT /api/comments/{comment-id}
Creates the comment {comment-id}.
Prerequisites
- The comment must have been initialised in order to create it
- The target dataset
{dataset-id}or comment{comment-id}must exist
Body
Comment resource.
{
"message" : "SIT-generated reply Pesho [2026-11-09T22:25:16.670939899] to ",
"datasetId" : "1d9a1fce-92fa-43ec-917a-351f887d93d1"
}
Examples
- cURL
- Python (requests)
curl -H "Authorization: Bearer $ACCESS_TOKEN" 'https://app.meltano.com:443/api/datasets/1d9a1fce-92fa-43ec-917a-351f887d93d1/comments/f3444f09-7c8b-4a41-8b20-69445883f11d' -i -X PUT \
-H 'Content-Type: application/json' \
-d '{
"message" : "SIT-generated reply Pesho [2026-11-09T22:25:16.670939899] to ",
"datasetId" : "1d9a1fce-92fa-43ec-917a-351f887d93d1"
}'
import requests
url = "https://app.meltano.com:443/api/datasets/1d9a1fce-92fa-43ec-917a-351f887d93d1/comments/f3444f09-7c8b-4a41-8b20-69445883f11d"
data = {
"message" : "SIT-generated reply Pesho [2026-11-09T22:25:16.670939899] to ",
"datasetId" : "1d9a1fce-92fa-43ec-917a-351f887d93d1"
}
headers = {
'Authorization': ACCESS_TOKEN
}
response = requests.request("PUT", url, headers=headers, data=data)
print(response.text.encode('utf8'))
Response
201 Created
Comment with HAL links.
{
"id" : "f3444f09-7c8b-4a41-8b20-69445883f11d",
"message" : "SIT-generated reply Pesho [2026-11-09T22:25:16.670939899] to ",
"likeCount" : 0,
"likedByProfiles" : [ ],
"created" : "2026-11-09T22:25:16.798619527",
"lastModified" : "2026-11-09T22:25:16.798620133",
"from" : {
"id" : "auth0|6a21dc7aa1db2e036a222942",
"name" : "sit+prod@meltano.com",
"handle" : "@sit+prod"
},
"commentCount" : 0,
"datasetId" : "1d9a1fce-92fa-43ec-917a-351f887d93d1",
"_links" : {
"edit-history" : {
"href" : "https://app.meltano.com/api/comments/f3444f09-7c8b-4a41-8b20-69445883f11d/history",
"type" : "GET"
},
"update comment" : {
"href" : "https://app.meltano.com/api/datasets/1d9a1fce-92fa-43ec-917a-351f887d93d1/comments/f3444f09-7c8b-4a41-8b20-69445883f11d",
"type" : "PUT"
},
"delete comment" : {
"href" : "https://app.meltano.com/api/comments/f3444f09-7c8b-4a41-8b20-69445883f11d",
"type" : "DELETE"
},
"self" : {
"href" : "https://app.meltano.com/api/comments/f3444f09-7c8b-4a41-8b20-69445883f11d"
},
"add like" : {
"href" : "https://app.meltano.com/api/comments/f3444f09-7c8b-4a41-8b20-69445883f11d/like",
"type" : "PUT"
},
"new reply" : {
"href" : "https://app.meltano.com/api/comments/f3444f09-7c8b-4a41-8b20-69445883f11d",
"type" : "POST"
}
}
}
Update a comment
PUT /api/comments/{comment-id}
Updates the comment {comment-id}.
Prerequisites
- Comment
{comment-id}must exist
Body
Comment resource.
{
"message" : "SIT-generated reply Pesho [2026-11-09T22:25:17.373053741] to "
}
Examples
- cURL
- Python (requests)
curl -H "Authorization: Bearer $ACCESS_TOKEN" 'https://app.meltano.com:443/api/comments/4c727e2b-7cce-4fce-b5d1-5c63e97e6ef6' -i -X GET
import requests
url = "https://app.meltano.com:443/api/comments/4c727e2b-7cce-4fce-b5d1-5c63e97e6ef6"
headers = {
'Authorization': ACCESS_TOKEN
}
response = requests.request("GET", url, headers=headers)
print(response.text.encode('utf8'))
Response
200 OK
Comment with HAL links.
{
"id" : "4c727e2b-7cce-4fce-b5d1-5c63e97e6ef6",
"message" : "SIT-generated reply Pesho [2026-11-09T22:25:17.567895695] to ",
"likeCount" : 0,
"likedByProfiles" : [ ],
"created" : "2026-11-09T22:25:17.624145",
"lastModified" : "2026-11-09T22:25:17.624146",
"from" : {
"id" : "auth0|6a21dc7aa1db2e036a222942",
"name" : "sit+prod@meltano.com",
"handle" : "@sit+prod"
},
"commentCount" : 0,
"datasetId" : "1d9a1fce-92fa-43ec-917a-351f887d93d1",
"_links" : {
"edit-history" : {
"href" : "https://app.meltano.com/api/comments/4c727e2b-7cce-4fce-b5d1-5c63e97e6ef6/history",
"type" : "GET"
},
"update comment" : {
"href" : "https://app.meltano.com/api/datasets/1d9a1fce-92fa-43ec-917a-351f887d93d1/comments/4c727e2b-7cce-4fce-b5d1-5c63e97e6ef6",
"type" : "PUT"
},
"delete comment" : {
"href" : "https://app.meltano.com/api/comments/4c727e2b-7cce-4fce-b5d1-5c63e97e6ef6",
"type" : "DELETE"
},
"self" : {
"href" : "https://app.meltano.com/api/comments/4c727e2b-7cce-4fce-b5d1-5c63e97e6ef6"
},
"add like" : {
"href" : "https://app.meltano.com/api/comments/4c727e2b-7cce-4fce-b5d1-5c63e97e6ef6/like",
"type" : "PUT"
},
"new reply" : {
"href" : "https://app.meltano.com/api/comments/4c727e2b-7cce-4fce-b5d1-5c63e97e6ef6",
"type" : "POST"
}
}
}
Record a like of a comment
PUT /api/comments/{comment-id}/like
Records a like of the comment {comment-id} from the authenticated user profile.
Prerequisites
- Comment
{comment-id}must exist
Examples
- cURL
- Python (requests)
curl -H "Authorization: Bearer $ACCESS_TOKEN" 'https://app.meltano.com:443/api/comments/27c21660-2af3-4aa1-96b8-068480889fe1/like' -i -X PUT \
-H 'Content-Type: application/json'
import requests
url = "https://app.meltano.com:443/api/comments/27c21660-2af3-4aa1-96b8-068480889fe1/like"
headers = {
'Authorization': ACCESS_TOKEN
}
response = requests.request("PUT", url, headers=headers)
print(response.text.encode('utf8'))
Response
200 OK
No response body provided.
Remove a like from a comment
DELETE /api/comments/{comment-id}/like
Removes a like of the comment {comment-id} from the authenticated user profile.
Prerequisites
- Comment
{comment-id}must exist
Examples
- cURL
- Python (requests)
curl -H "Authorization: Bearer $ACCESS_TOKEN" 'https://app.meltano.com:443/api/comments/27c21660-2af3-4aa1-96b8-068480889fe1/like' -i -X DELETE
import requests
url = "https://app.meltano.com:443/api/comments/27c21660-2af3-4aa1-96b8-068480889fe1/like"
headers = {
'Authorization': ACCESS_TOKEN
}
response = requests.request("DELETE", url, headers=headers)
print(response.text.encode('utf8'))
Response
204 No Content
No response body provided.
Delete a comment
DELETE /api/comments/{comment-id}
Deletes the comment {comment-id}.
Prerequisites
- Comment
{comment-id}must exist
Examples
- cURL
- Python (requests)
curl -H "Authorization: Bearer $ACCESS_TOKEN" 'https://app.meltano.com:443/api/comments/4f2a1442-27f1-40e5-980f-3e2787ceda1a' -i -X DELETE
import requests
url = "https://app.meltano.com:443/api/comments/4f2a1442-27f1-40e5-980f-3e2787ceda1a"
headers = {
'Authorization': ACCESS_TOKEN
}
response = requests.request("DELETE", url, headers=headers)
print(response.text.encode('utf8'))
Response
204 No Content
No response body provided.